This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 758587 - Ability to bookmark multiple documents
Ability to bookmark multiple documents
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity unspecified
: Sprint-30
: 1.5
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks: 756230 759983
  Show dependency treegraph
 
Reported: 2011-11-30 01:48 EST by David Mason
Modified: 2012-04-23 00:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: Zanata version 1.5-SNAPSHOT (20111213-1143)
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2011-11-30 01:48:58 EST
Description of problem:

Allow a URL that specifies a list of documents to show in the webtrans document list.
Comment 1 David Mason 2011-12-12 20:58:06 EST
Implemented in 1.5

see https://github.com/zanata/zanata/commit/0b2b5b308cd133470b92a51e5800834b8fef27f1
Comment 2 David Mason 2011-12-12 21:09:08 EST
Example usage:

examples use this base workspace url:

http://zanata-fortitude.lab.eng.bne.redhat.com:8080/webtrans/Application.html?project=demo&iteration=1.0&localeId=de&locale=en


to add a subtitle next to the project name, add &title=<title> , escape spaces and other special characters. e.g. for subtitle "HELLO WORLD" use:

http://zanata-fortitude.lab.eng.bne.redhat.com:8080/webtrans/Application.html?project=demo&iteration=1.0&localeId=de&locale=en&title=HELLO%20WORLD


if no documents are defined, the full list of documents will be displayed.
To show a subset of documents, add &doc=<full doc path and name> for each document. e.g. to show only documents "test", "content/best_practices" and "content/events" in the document list, use: 

http://zanata-fortitude.lab.eng.bne.redhat.com:8080/webtrans/Application.html?project=demo&iteration=1.0&localeId=de&locale=en&doc=test&doc=content/best_practices&doc=content/events
Comment 3 Ding-Yi Chen 2011-12-12 23:08:20 EST
VERIFIED with Zanata version 1.5-SNAPSHOT (20111213-1143)

Note You need to log in before you can comment on or make changes to this bug.